Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1568143 (CVE-2018-3838) - CVE-2018-3838 SDL2_image: information disclosure in the XCF image rendering functionality
Summary: CVE-2018-3838 SDL2_image: information disclosure in the XCF image rendering f...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2018-3838
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1568144 1568145 1568146
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 20:28 UTC by Laura Pardo
Modified: 2019-09-29 14:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:20:00 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-04-16 20:28:04 UTC
A flaw was found in SDL2_image-2.0.2. An exploitable information vulnerability exists in the XCF image rendering functionality of Simple DirectMedia Layer. A specially crafted XCF image can cause an out-of-bounds read on the heap, resulting in information disclosure. An attacker can display a specially crafted image to trigger this vulnerability.


References:
https://www.talosintelligence.com/vulnerability_reports/TALOS-2018-0520

Comment 1 Laura Pardo 2018-04-16 20:35:13 UTC
Created mingw-SDL2_image tracking bugs for this issue:

Affects: fedora-all [bug 1568144]


Created SDL2_image tracking bugs for this issue:

Affects: fedora-all [bug 1568146]
Affects: epel-7 [bug 1568145]

Comment 2 Product Security DevOps Team 2019-06-10 10:20:00 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.